### Method

# Gtk TextTagTableforeach

#### Declaration [src]

    void
    gtk_text_tag_table_foreach (
      GtkTextTagTable* table,
      GtkTextTagTableForeach func,
      gpointer data
    )

#### Description [src]

Calls `func` on each tag in `table`, with user data `data`.

Note that the table may not be modified while iterating over it (you can’t add/remove tags).

#### Parameters

`func`

  Type: `GtkTextTagTableForeach`

  A function to call on each tag.

`data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the method.